> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oneofnone.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get team app settings



## OpenAPI

````yaml get /v1/team/app-settings
openapi: 3.1.0
info:
  title: One of None API
  version: 1.0.0
  description: >-
    The One of None API manages product collections, registrations, short URLs,
    team operations, and rewards used by storefront integrations including
    Shopify discounts and redemption flows.
servers:
  - url: https://api.oneofnone.io
security:
  - ApiKeyAuth: []
paths:
  /v1/team/app-settings:
    get:
      summary: Get team app settings
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppSettingsResponse'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    AppSettingsResponse:
      type: object
      properties:
        team_id:
          type: string
        name:
          type:
            - string
            - 'null'
        domain:
          type:
            - string
            - 'null'
        status:
          type:
            - string
            - 'null'
        colors: {}
        typography: {}
        menu: {}
        seo_settings: {}
        layout_settings: {}
        social_links: {}
        custom_css:
          type:
            - string
            - 'null'
        favicon:
          type:
            - object
            - 'null'
          properties:
            url:
              type:
                - string
                - 'null'
        logo:
          type:
            - object
            - 'null'
          properties:
            url:
              type:
                - string
                - 'null'
        logo_dark:
          type:
            - object
            - 'null'
          properties:
            url:
              type:
                - string
                - 'null'
        share_image:
          type:
            - object
            - 'null'
          properties:
            url:
              type:
                - string
                - 'null'
        created_at:
          type: string
        updated_at:
          type:
            - string
            - 'null'
      required:
        - team_id
        - created_at
    GenericErrorResponse:
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        details:
          type: object
          additionalProperties: {}
      required:
        - message
        - code
      additionalProperties: {}
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````